Package com.tibco.patterns.learn.modelconfig

## Class SubsetTrainConfig

- java.lang.Object
- - com.tibco.patterns.learn.modelconfig.SubsetTrainConfig

- Direct Known Subclasses:
    `STAll`, `STDynamic`, `STFixed`, `STNone`, `STTaper`

      public abstract class SubsetTrainConfig
      extends java.lang.Object

  Defines configuration parameters for one of the subset training modes. Corresponds to one constant in RLink.SubsetTrainMode. Immutable class.

  A subset training mode describes how synthetic training examples are generated from the actual training examples to train submodels that are related to the subset of the actual training example. Using any subset training mode (except `STNone`) can result in some mislabeled examples that are used to train the model. Thus the benefits of training more submodels with more examples must be weighted against the risks of introducing such mislabeling. If the training and validation datasets contain abundant examples from all subsets that can ever be encountered in the data table, then the safest way is to use the `STNone` class. Otherwise it is recommended to use the `STDynamic` class that generates only those examples where the label is unlikely to change.

  Subclasses (names start with ST) define specific parameters for each subset training mode.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract SubsetTrainConfig` | `copy()` | Copies this object to a new object.
    `static SubsetTrainConfig` | `create​(RLink.SubsetTrainMode stMode)` | Creates a SubsetTrainConfig object of an appropriate subclass that corresponds to the given mode and uses default parameters.
    `RLink.SubsetTrainMode` | `getSubsetTrainMode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static SubsetTrainConfig create​(RLink.SubsetTrainMode stMode)

      Creates a SubsetTrainConfig object of an appropriate subclass that corresponds to the given mode and uses default parameters.
      Parameters:
        `stMode` - - the mode to create the configuration object for. Not null.
      Returns:
        the newly created object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSubsetTrainMode

          public final RLink.SubsetTrainMode getSubsetTrainMode()

      Returns:
        the SubsetTrainMode constant associated with this class.

    - #### copy

          public abstract SubsetTrainConfig copy()

      Copies this object to a new object. Assumes that some subclasses may be mutable.
      Returns:
        a deep copy of this object. An object of appropriate subclass is returned.